<?php

namespace App\Service;

use App\Repository\CommentaireRepository;
use Twig\Environment;
use Twig\Extension\RuntimeExtensionInterface;

class Nouveautes implements RuntimeExtensionInterface
{
    private $twig;
    private $repoCommentaire;

    public function __construct(CommentaireRepository $repoCommentaire, Environment $twig)
    {
        $this->repoCommentaire = $repoCommentaire;
        $this->twig = $twig;
    }

    public function afficher () {
        $commentaires = $this->repoCommentaire->findLast(5);

        return $this->twig->render('nouveautes/nouveautes.html.twig', [
            'commentaires'  =>  $commentaires
        ]);
    }
}