<?php

namespace App\Service;

use App\Entity\User;
use Doctrine\Persistence\Event\LifecycleEventArgs;


class RegisterListener
{
    private $mattermostSender;

    public function __construct(Mattermost $mattermostSender)
    {
        $this->mattermostSender = $mattermostSender;
    }

    public function postPersist(LifecycleEventArgs $args)
    {
        $entity = $args->getObject();
        if (!$entity instanceof User) {
            return;
        }

        $this->mattermostSender->sendNewUser($entity->getUserIdentifier());


    }
}